---
title: '`glab mr rebase`'
stage: AI Coding
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Rebase the source branch of a merge request against its target branch.

## Synopsis

If you don't have permission to push to the merge request's source branch, you'll get a 403 Forbidden response.

```plaintext
glab mr rebase [<id> | <branch>] [flags]
```

## Examples

```console
# Rebase merge request 123
glab mr rebase 123

# Rebase current branch
glab mr rebase

# Rebase merge request from branch
glab mr rebase branch
glab mr rebase branch --skip-ci
```

## Options

```plaintext
      --skip-ci   Rebase merge request while skipping CI/CD pipeline.
```

## Options inherited from parent commands

```plaintext
  -h, --help          Show help for this command.
  -R, --repo string   Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.
```
